## ros-one-moveit-ros-visualization 1.1.16-49jammy.20251027.2216

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49jammy.20251027.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 Oct 2025 22:16:11 +0000

ros-one-moveit-ros-visualization (1.1.16-0jammy) jammy; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.15-0jammy) jammy; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * rviz joints tab: show goal state model onFinishedExecution()
  * nullspace exploration: reset sliders to zero before hiding (#3613 <https://github.com/ros-planning/moveit/issues/3613>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.14-0jammy) jammy; urgency=high

  * Radian/Degree joint value edits in RViz (#3542 <https://github.com/ros-planning/moveit/issues/3542>)
  * Add radio buttons to switch degrees/radians in MotionPlanning's Joints tab (#3516 <https://github.com/ros-planning/moveit/issues/3516>)
  * Fix tab order of widgets in MotionPlanning plugin
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Contributors: Aaryan Murgunde, Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.13-0jammy) jammy; urgency=high

  * Avoid costly updates of invisible RobotInteractions on query state changes (#3478 <https://github.com/ros-planning/moveit/issues/3478>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.12-0jammy) jammy; urgency=high

  * MPD: Resolve namespace ambiguity in RobotInteraction (#3403 <https://github.com/ros-planning/moveit/issues/3403>)
  * Disallow custom string for planning group property in RViz Display (#3346 <https://github.com/ros-planning/moveit/issues/3346>)
  * Fixes to octomap display in PSD (#3385 <https://github.com/ros-planning/moveit/issues/3385>)
  * MPD: maintain current item when updating object list
  * TrajectoryDisplay: sync visibility of links in trail with main robot (#3337 <https://github.com/ros-planning/moveit/issues/3337>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tejal Ashwini Barnwal

 -- Jon Binney <jon.binney@gmail.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.11-0jammy) jammy; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.10-0jammy) jammy; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.9-0jammy) jammy; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.8-0jammy) jammy; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.7-0jammy) jammy; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)

