## ros-one-moveit-ros-visualization 1.1.16-49noble.20251215.2347

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49noble.20251215.2347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 15 Dec 2025 23:47:55 +0000
