## ros-one-moveit-ros-visualization 1.1.16-50noble.20260128.2338

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-50noble.20260128.2338) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Wed, 28 Jan 2026 23:38:48 +0000
