=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jon Binney <jon.binney@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-one-catkin, ros-one-class-loader, ros-one-geometric-shapes, ros-one-interactive-markers, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning-interface, ros-one-moveit-ros-robot-interaction, ros-one-moveit-ros-warehouse, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-rviz, ros-one-tf2-eigen
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-visualization
